Create Faces with References from Solid in API

Hey guys I need your help!

I want to transform this DesignScript-Node into a Python-Node but I can’t get the needed face(s) for NewFamilyInstance Method (Face, XYZ, XYZ, FamilySymbol). This is what the DesignScript-Node looks like:


I tried it with the faces of an extrusion but the faces have no reference:

doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
uidoc = uiapp.ActiveUIDocument
app = uiapp.Application;

TransactionManager.Instance.EnsureInTransaction(doc)
#create
cp = Autodesk.DesignScript.Geometry.Point.ByCoordinates(0, 0, 0)
r = 1
circle = Circle.ByCenterPointRadius(cp, r)
c_rv = gp.ProtoToRevitCurve.ToRevitType(circle)
lines = List[Curve]()
tess = c_rv.Tessellate()
for i in range(len(tess)-1):
    if i == len(tess)-1:
        l = Line.CreateBound(tess[i], tess[0])
    else:
        l = Line.CreateBound(tess[i], tess[i+1])
    lines.Add(l)
id_c = ElementId(BuiltInCategory.OST_GenericModel)
shape = [CurveLoop.Create(lines)]
solid_opt = SolidOptions(ElementId.InvalidElementId, ElementId.InvalidElementId)
extrusion = GeometryCreationUtilities.CreateExtrusionGeometry(List[CurveLoop](shape),XYZ.BasisZ,10,solid_opt)

ds = DirectShape.CreateElement(doc, id_c)

faces = extrusion.Faces
face = faces[1].Reference
familytypes = FilteredElementCollector(doc).OfClass(FamilySymbol)

relevantFams = []


for f in familytypes:
	if "5dtb-Anker" in f.FamilyName:
		relevantFams.append(f)
		
anchor_fam_symbol = relevantFams[0]

test = Autodesk.Revit.Creation.FamilyInstanceCreationData(face, XYZ(0, 0, 0), XYZ(0, 0, 1), anchor_fam_symbol)
TransactionManager.Instance.TransactionTaskDone()
OUT = test

I just need the face of a circle area on which the anchors (anchors on retain walls) are created. Is there a way to create a solid, where I can the faces of?